CONFIG += qt release
unix:TARGET = bin/AlbumShaper.bin
win32:TARGET = bin/AlbumShaper
MOC_DIR = tmp
OBJECTS_DIR = tmp

unix:images.path = /usr/local/share/albumshaper/images
unix:images.files = bin/images/*

unix:target.path = /usr/local/bin
unix:target.files = bin/AlbumShaper*

unix:INSTALLS += images
unix:INSTALLS += target

###############################
#Add main  headers and source
###############################
SOURCES += src/main.cpp \
           src/config.cpp

HEADERS += src/config.h

###############################
#Add GUI headers and source
###############################
HEADERS += src/gui/window.h \
           src/gui/titleWidget.h \
           src/gui/layoutWidget.h \
           src/gui/subalbumsWidget.h \
           src/gui/subalbumsIconView.h \
           src/gui/subalbumWidget.h \
           src/gui/photoWidget.h \
           src/gui/photosIconView.h \
           src/gui/subalbumPreviewWidget.h \
           src/gui/questionDialog.h \
           src/gui/loadDialog.h \
           src/gui/saveDialog.h \
           src/gui/about.h \
           src/gui/photoEditWidget.h \
           src/gui/photoViewWidget.h 

SOURCES += src/gui/window.cpp \
           src/gui/titleWidget.cpp \
           src/gui/layoutWidget.cpp \
           src/gui/subalbumsWidget.cpp \
           src/gui/subalbumsIconView.cpp \
           src/gui/subalbumWidget.cpp \
           src/gui/photoWidget.cpp \
           src/gui/photosIconView.cpp \
           src/gui/subalbumPreviewWidget.cpp \
           src/gui/questionDialog.cpp \
           src/gui/loadDialog.cpp \
           src/gui/saveDialog.cpp \
           src/gui/about.cpp \
           src/gui/photoEditWidget.cpp \
           src/gui/photoViewWidget.cpp 

###############################
#Add backend headers and source
###############################
HEADERS += src/backend/album.h \
           src/backend/subalbum.h \
           src/backend/photo.h \
           src/backend/imageTools.h \
           src/backend/xmlTools.h \
           src/backend/md5.h

SOURCES += src/backend/album.cpp \
           src/backend/subalbum.cpp \
           src/backend/photo.cpp \
           src/backend/imageTools.cpp \
           src/backend/xmlTools.cpp \
           src/backend/md5.cpp
