//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

#ifndef BACKEND_IMAGETOOLS_H
#define BACKEND_IMAGETOOLS_H

//--------------------
//forward declarations
//--------------------
class QString;
class QImage;

///Returns new image dimensions keeping size ratio
void resizeImage(int originalWidth,
                 int originalHeight,
                 int maxWidth,
                 int maxHeight,
                 int& newWidth,
                 int& newHeight);
                 
///Copies a file from one location to another
void copyFile(QString oldFile,
                    QString newFile);

///Given a pointer to a full image, constructs slideshow, thumbnail, and padded thumbnail images          
void createImages(QImage* fullImage,
                          QImage** slideshowImage,
                          QImage** thumbnailImage,
                          QImage** paddedThumbnailImage,
                          int &slideshowWidth,
                          int &slideshowHeight);
                    
#endif //BACKEND_IMAGETOOLS_H
