//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

#ifndef GUI_PHOTOSICONVIEW_H
#define GUI_PHOTOSICONVIEW_H

//--------------------
//forward declarations
class QPixmap;
class QPainter;
//--------------------

#include <qiconview.h>

//=====================================
/*! \brief Extension of iconview, used to list all photos in a subalbum. supports drag-n-drop within iconview.
 */
//=====================================
class PhotosIconView : public QIconView
{
Q_OBJECT

public:
  PhotosIconView( QWidget *parent );
//----------------------
signals:
  void itemHasMoved();
//----------------------
protected:
  void drawContents ( QPainter * p, int clipx, int clipy, int clipw, int cliph );
//----------------------
private:
  void contentsDropEvent( QDropEvent *e );
  QPixmap bufferPixmap;
   //----------------------
};
//======================

#endif //GUI_PHOTOSICONVIEW_H
