//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

#ifndef GUI_QUESTIONDIALOG_H
#define GUI_QUESTIONDIALOG_H

//--------------------
//forward delcarations
class QGridLayout;
class QLabel;
class QTextEdit;
class QPushButton;
class QPixmap;
class QFrame;
//--------------------

#include <qdialog.h>


//=====================================
/*! \brief A configurable question dialog that returns true/false
 */
//=====================================

class QuestionDialog : public QDialog
{
Q_OBJECT
//----------------------
public:
  ///Basic constructor
  QuestionDialog( QString question,
                  QString message,
                  QString questionIconName,
                  QWidget *parent=0,
                  const char* name=0);
  
  ///Destructor
  ~QuestionDialog();
//----------------------
private:
  ///Grids objects placed in
  QGridLayout *gridTop, *gridBottom, *gridFull;
  
  ///Question displayed in window
  QLabel* questionText;
  
  ///Message displayed in window
  QTextEdit* messageText;

  ///Ok button
  QPushButton* okButton;

  ///Cancel button
  QPushButton* cancelButton;

  ///Window icon
  QPixmap* windowIcon;
  
  ///Question icon
  QPixmap* questionIcon;
  
  ///Label which shows question icon
  QLabel* questionIconLabel;  
  
  ///Top and bottom frames
  QFrame *topFrame, *bottomFrame;    
//----------------------
};
//======================

#endif //GUI_QUESTIONDIALOG_H
