//==============================================
//  copyright            : (C) 2003 by Will Stokes
//==============================================
//  This program is free software; you can redistribute it 
//  and/or modify it under the terms of the GNU General 
//  Public License as published by the Free Software 
//  Foundation; either version 2 of the License, or  
//  (at your option) any later version.         
//
//  As a special exception, Will Stokes gives permission to 
//  link this program with Qt non-commercial edition, and 
//  distribute the resulting executable, without including the 
//  source code for the Qt non-commercial edition in the 
//  source distribution. 
//==============================================

#ifndef GUI_WINDOW_H
#define GUI_WINDOW_H

//--------------------
//forward declarations
class QGridLayout;
class QPixmap;
class TitleWidget;
class LayoutWidget;
//--------------------

#include <qwidget.h>

//=====================================
/*! \brief Top level widget, encapsulates the title widget, the layout 
 *  widget, and the toolbar widget.
 */
//=====================================
class Window : public QWidget
{
//----------------------
public:
  ///Creates title area, layout, and tool bar and places them in grid.
  Window( QWidget *parent=0, const char* name=0);

  ///returns a pointer to the title widget
  TitleWidget* getTitle();
  
  ///returns a pointer to the layout object
  LayoutWidget* getLayout();  
  
  ///refreshes the layout
  void refresh();
//----------------------
private:
  ///Grid objects placed in
  QGridLayout* grid;

  ///Title widget contains menu's, album information and Album Shaper icon
  TitleWidget* title;

  ///Layout includes subalbums listing and particular subalbum layout
  LayoutWidget* layout;

  ///Application icon
  QPixmap* applicationIcon;
//----------------------
};
//======================

#endif //GUI_WINDOW_H
